<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__smartio__config__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_smartio_config_t</compoundname>
    <includes local="no">cy_smartio.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__smartio__config__t_1a17fde00f0b9310d48bae10ce0dc04b26" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__smartio__enums_1ga5d4b59d4ac3bf8e4d943f499799fa202">cy_en_smartio_clksrc_t</ref></type>
        <definition>cy_en_smartio_clksrc_t cy_stc_smartio_config_t::clkSrc</definition>
        <argsstring />
        <name>clkSrc</name>
        <briefdescription>
<para>Smart I/O instance clock source. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" bodystart="493" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" line="493" />
      </memberdef>
      <memberdef id="structcy__stc__smartio__config__t_1a4b9c0b1f5a84c0e4e078235901cf982d" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_smartio_config_t::bypassMask</definition>
        <argsstring />
        <name>bypassMask</name>
        <briefdescription>
<para>Smart I/O io&lt;-&gt;chip channel bypass mask. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" bodystart="494" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" line="494" />
      </memberdef>
      <memberdef id="structcy__stc__smartio__config__t_1a9281b4458eb13d8e8e0f57ff028b5d6c" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_smartio_config_t::ioSyncEn</definition>
        <argsstring />
        <name>ioSyncEn</name>
        <briefdescription>
<para>Synchronization enable/disable for I/O terminals. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" bodystart="495" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" line="495" />
      </memberdef>
      <memberdef id="structcy__stc__smartio__config__t_1a2c76c4ec1793ed007576f483769c827a" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_smartio_config_t::chipSyncEn</definition>
        <argsstring />
        <name>chipSyncEn</name>
        <briefdescription>
<para>Synchronization enable/disable for Chip terminals. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" bodystart="496" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" line="496" />
      </memberdef>
      <memberdef id="structcy__stc__smartio__config__t_1aef2b7f0a6046e13c757acbcef7c729f1" kind="variable" mutable="no" prot="public" static="no">
        <type>const <ref kindref="compound" refid="structcy__stc__smartio__lutcfg__t">cy_stc_smartio_lutcfg_t</ref> *</type>
        <definition>const cy_stc_smartio_lutcfg_t* cy_stc_smartio_config_t::lutCfg0</definition>
        <argsstring />
        <name>lutCfg0</name>
        <briefdescription>
<para>Pointer to LUT0 configuration (NULL if not used) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" bodystart="497" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" line="497" />
      </memberdef>
      <memberdef id="structcy__stc__smartio__config__t_1a29a89d5dd32bf090e54092377a502af4" kind="variable" mutable="no" prot="public" static="no">
        <type>const <ref kindref="compound" refid="structcy__stc__smartio__lutcfg__t">cy_stc_smartio_lutcfg_t</ref> *</type>
        <definition>const cy_stc_smartio_lutcfg_t* cy_stc_smartio_config_t::lutCfg1</definition>
        <argsstring />
        <name>lutCfg1</name>
        <briefdescription>
<para>Pointer to LUT1 configuration (NULL if not used) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" bodystart="498" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" line="498" />
      </memberdef>
      <memberdef id="structcy__stc__smartio__config__t_1a1386142a4e417eb4695d25f2abf12fe1" kind="variable" mutable="no" prot="public" static="no">
        <type>const <ref kindref="compound" refid="structcy__stc__smartio__lutcfg__t">cy_stc_smartio_lutcfg_t</ref> *</type>
        <definition>const cy_stc_smartio_lutcfg_t* cy_stc_smartio_config_t::lutCfg2</definition>
        <argsstring />
        <name>lutCfg2</name>
        <briefdescription>
<para>Pointer to LUT2 configuration (NULL if not used) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" bodystart="499" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" line="499" />
      </memberdef>
      <memberdef id="structcy__stc__smartio__config__t_1a05ecf634aaaee1ac59e3ff3581e3d10f" kind="variable" mutable="no" prot="public" static="no">
        <type>const <ref kindref="compound" refid="structcy__stc__smartio__lutcfg__t">cy_stc_smartio_lutcfg_t</ref> *</type>
        <definition>const cy_stc_smartio_lutcfg_t* cy_stc_smartio_config_t::lutCfg3</definition>
        <argsstring />
        <name>lutCfg3</name>
        <briefdescription>
<para>Pointer to LUT3 configuration (NULL if not used) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" bodystart="500" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" line="500" />
      </memberdef>
      <memberdef id="structcy__stc__smartio__config__t_1a017bc71c2563dda0b75b71451e1d3e29" kind="variable" mutable="no" prot="public" static="no">
        <type>const <ref kindref="compound" refid="structcy__stc__smartio__lutcfg__t">cy_stc_smartio_lutcfg_t</ref> *</type>
        <definition>const cy_stc_smartio_lutcfg_t* cy_stc_smartio_config_t::lutCfg4</definition>
        <argsstring />
        <name>lutCfg4</name>
        <briefdescription>
<para>Pointer to LUT4 configuration (NULL if not used) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" bodystart="501" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" line="501" />
      </memberdef>
      <memberdef id="structcy__stc__smartio__config__t_1ade033caffbe6370cfc610449e3f81cc6" kind="variable" mutable="no" prot="public" static="no">
        <type>const <ref kindref="compound" refid="structcy__stc__smartio__lutcfg__t">cy_stc_smartio_lutcfg_t</ref> *</type>
        <definition>const cy_stc_smartio_lutcfg_t* cy_stc_smartio_config_t::lutCfg5</definition>
        <argsstring />
        <name>lutCfg5</name>
        <briefdescription>
<para>Pointer to LUT5 configuration (NULL if not used) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" bodystart="502" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" line="502" />
      </memberdef>
      <memberdef id="structcy__stc__smartio__config__t_1a9805a9178678494a50dd65e5d7c31720" kind="variable" mutable="no" prot="public" static="no">
        <type>const <ref kindref="compound" refid="structcy__stc__smartio__lutcfg__t">cy_stc_smartio_lutcfg_t</ref> *</type>
        <definition>const cy_stc_smartio_lutcfg_t* cy_stc_smartio_config_t::lutCfg6</definition>
        <argsstring />
        <name>lutCfg6</name>
        <briefdescription>
<para>Pointer to LUT6 configuration (NULL if not used) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" bodystart="503" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" line="503" />
      </memberdef>
      <memberdef id="structcy__stc__smartio__config__t_1ad23b677ee415afea23824a598b5df686" kind="variable" mutable="no" prot="public" static="no">
        <type>const <ref kindref="compound" refid="structcy__stc__smartio__lutcfg__t">cy_stc_smartio_lutcfg_t</ref> *</type>
        <definition>const cy_stc_smartio_lutcfg_t* cy_stc_smartio_config_t::lutCfg7</definition>
        <argsstring />
        <name>lutCfg7</name>
        <briefdescription>
<para>Pointer to LUT7 configuration (NULL if not used) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" bodystart="504" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" line="504" />
      </memberdef>
      <memberdef id="structcy__stc__smartio__config__t_1aa0f8f1f60e5713c1af42d01ace046f04" kind="variable" mutable="no" prot="public" static="no">
        <type>const <ref kindref="compound" refid="structcy__stc__smartio__ducfg__t">cy_stc_smartio_ducfg_t</ref> *</type>
        <definition>const cy_stc_smartio_ducfg_t* cy_stc_smartio_config_t::duCfg</definition>
        <argsstring />
        <name>duCfg</name>
        <briefdescription>
<para>Pointer to Data Unit configuration (NULL if not used) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" bodystart="505" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" line="505" />
      </memberdef>
      <memberdef id="structcy__stc__smartio__config__t_1aff8b45c5224d6ec6e2ff2af90caf7d70" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cy_stc_smartio_config_t::hldOvr</definition>
        <argsstring />
        <name>hldOvr</name>
        <briefdescription>
<para>Hold override enable (true) / disable (false) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" bodystart="506" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" line="506" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Smart I/O configuration structure. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="282">
        <label>cy_stc_smartio_ducfg_t</label>
        <link refid="structcy__stc__smartio__ducfg__t" />
      </node>
      <node id="283">
        <label>cy_stc_smartio_lutcfg_t</label>
        <link refid="structcy__stc__smartio__lutcfg__t" />
      </node>
      <node id="281">
        <label>cy_stc_smartio_config_t</label>
        <link refid="structcy__stc__smartio__config__t" />
        <childnode refid="282" relation="usage">
          <edgelabel>duCfg</edgelabel>
        </childnode>
        <childnode refid="283" relation="usage">
          <edgelabel>lutCfg0</edgelabel>
          <edgelabel>lutCfg1</edgelabel>
          <edgelabel>lutCfg2</edgelabel>
          <edgelabel>lutCfg3</edgelabel>
          <edgelabel>lutCfg4</edgelabel>
          <edgelabel>lutCfg5</edgelabel>
          <edgelabel>lutCfg6</edgelabel>
          <edgelabel>lutCfg7</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="507" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" bodystart="492" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" line="492" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__smartio__config__t_1a4b9c0b1f5a84c0e4e078235901cf982d" virt="non-virtual"><scope>cy_stc_smartio_config_t</scope><name>bypassMask</name></member>
      <member prot="public" refid="structcy__stc__smartio__config__t_1a2c76c4ec1793ed007576f483769c827a" virt="non-virtual"><scope>cy_stc_smartio_config_t</scope><name>chipSyncEn</name></member>
      <member prot="public" refid="structcy__stc__smartio__config__t_1a17fde00f0b9310d48bae10ce0dc04b26" virt="non-virtual"><scope>cy_stc_smartio_config_t</scope><name>clkSrc</name></member>
      <member prot="public" refid="structcy__stc__smartio__config__t_1aa0f8f1f60e5713c1af42d01ace046f04" virt="non-virtual"><scope>cy_stc_smartio_config_t</scope><name>duCfg</name></member>
      <member prot="public" refid="structcy__stc__smartio__config__t_1aff8b45c5224d6ec6e2ff2af90caf7d70" virt="non-virtual"><scope>cy_stc_smartio_config_t</scope><name>hldOvr</name></member>
      <member prot="public" refid="structcy__stc__smartio__config__t_1a9281b4458eb13d8e8e0f57ff028b5d6c" virt="non-virtual"><scope>cy_stc_smartio_config_t</scope><name>ioSyncEn</name></member>
      <member prot="public" refid="structcy__stc__smartio__config__t_1aef2b7f0a6046e13c757acbcef7c729f1" virt="non-virtual"><scope>cy_stc_smartio_config_t</scope><name>lutCfg0</name></member>
      <member prot="public" refid="structcy__stc__smartio__config__t_1a29a89d5dd32bf090e54092377a502af4" virt="non-virtual"><scope>cy_stc_smartio_config_t</scope><name>lutCfg1</name></member>
      <member prot="public" refid="structcy__stc__smartio__config__t_1a1386142a4e417eb4695d25f2abf12fe1" virt="non-virtual"><scope>cy_stc_smartio_config_t</scope><name>lutCfg2</name></member>
      <member prot="public" refid="structcy__stc__smartio__config__t_1a05ecf634aaaee1ac59e3ff3581e3d10f" virt="non-virtual"><scope>cy_stc_smartio_config_t</scope><name>lutCfg3</name></member>
      <member prot="public" refid="structcy__stc__smartio__config__t_1a017bc71c2563dda0b75b71451e1d3e29" virt="non-virtual"><scope>cy_stc_smartio_config_t</scope><name>lutCfg4</name></member>
      <member prot="public" refid="structcy__stc__smartio__config__t_1ade033caffbe6370cfc610449e3f81cc6" virt="non-virtual"><scope>cy_stc_smartio_config_t</scope><name>lutCfg5</name></member>
      <member prot="public" refid="structcy__stc__smartio__config__t_1a9805a9178678494a50dd65e5d7c31720" virt="non-virtual"><scope>cy_stc_smartio_config_t</scope><name>lutCfg6</name></member>
      <member prot="public" refid="structcy__stc__smartio__config__t_1ad23b677ee415afea23824a598b5df686" virt="non-virtual"><scope>cy_stc_smartio_config_t</scope><name>lutCfg7</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>